Subject: Re: [PATCH net-next v2 0/4] net: allow setting congctl via routing table

From: Daniel Borkmann <[email-masked]>
Date: Tue, 09 Dec 2014 22:22:02 +0100

On 12/09/2014 09:58 PM, David Miller wrote:
> From: Daniel Borkmann <[email-masked]>
> Date: Sun,  7 Dec 2014 00:39:19 +0100
>
>> This is the second part of our work and allows for setting the congestion
>> control algorithm via routing table. For details, please see individual
>> patches.
>>
>> Joint work with Florian Westphal, suggested by Hannes Frederic Sowa.
>>
>> Patch for iproute2: http://patchwork.ozlabs.org/patch/418149/
>>
>> Thanks!
>>
>> v1->v2:
>>   - Very sorry, I noticed I had decnet disabled during testing.
>>     Added missing header include in decnet, rest as is.
>
> I don't like how you have to explicitly load the congestion control
> module before asking for it to be used in the route entry metric.
>
> It should request the module automatically just like the stack already
> does for other cases.

Ok, sure, adding auto-loading should not be a problem. Will respin
with that tomorrow.

Thanks.